<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions name="CalculateService" targetNamespace="http://javahonk.com/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:tns="http://javahonk.com/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/">
  <wsdl:types>
    <schema xmlns="http://www.w3.org/2001/XMLSchema">
  <import namespace="http://javahonk.com/" schemaLocation="calculate_schema1.xsd"/>
</schema>
  </wsdl:types>
  <wsdl:message name="divideNumber">
    <wsdl:part name="parameters" element="tns:divideNumber">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="multiplyNumber">
    <wsdl:part name="parameters" element="tns:multiplyNumber">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="calculateSumResponse">
    <wsdl:part name="parameters" element="tns:calculateSumResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="multiplyNumberResponse">
    <wsdl:part name="parameters" element="tns:multiplyNumberResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="divideNumberResponse">
    <wsdl:part name="parameters" element="tns:divideNumberResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="calculateSum">
    <wsdl:part name="parameters" element="tns:calculateSum">
    </wsdl:part>
  </wsdl:message>
  <wsdl:portType name="CalculateInterface">
    <wsdl:operation name="divideNumber">
      <wsdl:input name="divideNumber" message="tns:divideNumber">
    </wsdl:input>
      <wsdl:output name="divideNumberResponse" message="tns:divideNumberResponse">
    </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="multiplyNumber">
      <wsdl:input name="multiplyNumber" message="tns:multiplyNumber">
    </wsdl:input>
      <wsdl:output name="multiplyNumberResponse" message="tns:multiplyNumberResponse">
    </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="calculateSum">
      <wsdl:input name="calculateSum" message="tns:calculateSum">
    </wsdl:input>
      <wsdl:output name="calculateSumResponse" message="tns:calculateSumResponse">
    </wsdl:output>
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="CalculateServiceSoapBinding" type="tns:CalculateInterface">
    <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="divideNumber">
      <soap:operation soapAction="urn:DivideNumber" style="document"/>
      <wsdl:input name="divideNumber">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="divideNumberResponse">
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="multiplyNumber">
      <soap:operation soapAction="urn:MultiplyNumber" style="document"/>
      <wsdl:input name="multiplyNumber">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="multiplyNumberResponse">
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="calculateSum">
      <soap:operation soapAction="urn:CalculateSum" style="document"/>
      <wsdl:input name="calculateSum">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="calculateSumResponse">
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="CalculateService">
    <wsdl:port name="CalculatePort" binding="tns:CalculateServiceSoapBinding">
      <soap:address location="http://localhost:8080/CalculateWebService/services/CalculatePort"/>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>
